## qutim 0.2.60-maemo-9

=== core/src/corelayers/simplecontactlist/CMakeLists.txt ===
include_directories(.)

qutim_add_plugin(simplecontactlist
	EXTENSION
	EXTENSION_HEADER contactlist/simplecontactlist.h
	EXTENSION_CLASS Core::SimpleContactList::Module
	SOURCE_DIR contactlist
	DISPLAY_NAME "Simple ContactList"
	DESCRIPTION "Default qutIM contact list implementation. Just simple"
	COMPILE_FLAGS "-DSIMPLECONTACTLIST_LIBRARY"
)

qutim_add_plugin(simplecontactdelegate
	EXTENSION
	EXTENSION_HEADER simplecontactdelegate/contactdelegate.h
	EXTENSION_CLASS Core::ContactDelegate
	SOURCE_DIR simplecontactdelegate
	DISPLAY_NAME "ContactDelegate"
	DESCRIPTION "Just simple"
)

=== protocols/jabber/3rdparty/gloox/src/tests/CMakeLists.txt ===
add_subdirectory( adhoc )
add_subdirectory( adhoccommand )
add_subdirectory( adhoccommandnote )
add_subdirectory( amprule )
add_subdirectory( amp )
add_subdirectory( asyncdns )
add_subdirectory( base64 )
add_subdirectory( capabilities )
add_subdirectory( chatstatefilter )
add_subdirectory( client )
add_subdirectory( clientbase )
add_subdirectory( connectionbosh )
add_subdirectory( dataform )
add_subdirectory( dataformfield )
add_subdirectory( dataformreported )
add_subdirectory( dataformitem )
add_subdirectory( delayeddelivery )
add_subdirectory( discoinfo )
add_subdirectory( discoitems )
add_subdirectory( disco )
add_subdirectory( error )
add_subdirectory( featureneg )
add_subdirectory( flexoffline )
add_subdirectory( flexofflineoffline )
add_subdirectory( gpgencrypted )
add_subdirectory( gpgsigned )
add_subdirectory( inbandbytestreamibb )
add_subdirectory( inbandbytestream )
add_subdirectory( iq )
add_subdirectory( jid )
add_subdirectory( jinglesessionjingle )
add_subdirectory( jinglertp )
add_subdirectory( jingleiceudp )
add_subdirectory( jinglerawudp )
add_subdirectory( jinglesession )
add_subdirectory( lastactivity )
add_subdirectory( lastactivityquery )
add_subdirectory( md4 )
add_subdirectory( md5 )
add_subdirectory( message )
add_subdirectory( messageeventfilter )
add_subdirectory( mucroommuc )
add_subdirectory( mucroommucadmin )
add_subdirectory( mucroommucowner )
add_subdirectory( mucroommucuser )
add_subdirectory( nickname )
add_subdirectory( nonsaslauthquery )
add_subdirectory( nonsaslauth )
add_subdirectory( oob )
add_subdirectory( parser )
add_subdirectory( prep )
add_subdirectory( presence )
add_subdirectory( privacymanager )
add_subdirectory( privacymanagerquery )
add_subdirectory( privatexml )
add_subdirectory( pubsubmanagerpubsub )
add_subdirectory( pubsubmanager )
add_subdirectory( pubsubevent )
add_subdirectory( receipt )
add_subdirectory( registrationquery )
add_subdirectory( registration )
add_subdirectory( rostermanagerquery )
add_subdirectory( rostermanager )
add_subdirectory( searchquery )
add_subdirectory( search )
add_subdirectory( sha )
add_subdirectory( shim )
add_subdirectory( simanager )
add_subdirectory( simanagersi )
add_subdirectory( stanzaextensionfactory )
add_subdirectory( subscription )
add_subdirectory( tag )
add_subdirectory( tlsgnutls )
add_subdirectory( tlsopenssl )
add_subdirectory( tlsschannel )
add_subdirectory( uniquemucroomunique )
add_subdirectory( vcard )
add_subdirectory( vcardupdate )
add_subdirectory( xpath )
add_subdirectory( zlib )
add_subdirectory( util )

=== protocols/jabber/3rdparty/gloox/src/tests/amprule/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../prep.cpp ../../stanzaextensionfactory.cpp
			../../gloox.cpp ../../message.cpp ../../util.cpp ../../error.cpp ../../jid.cpp
			../../amp.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/chatstatefilter/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../stanzaextensionfactory.cpp
 				../../jid.cpp ../../prep.cpp
				../../message.cpp ../../util.cpp
				../../gloox.cpp ../../chatstate.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/disco/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp
			../../prep.cpp
			../../gloox.cpp
			../../iq.cpp ../../util.cpp
			../../error.cpp ../../jid.cpp ../../dataform.cpp
			../../dataformfieldcontainer.cpp ../../dataformreported.cpp ../../dataformitem.cpp
			../../dataformfield.cpp ../../softwareversion.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/discoinfo/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp
                        ../../gloox.cpp ../../iq.cpp ../../util.cpp
			../../error.cpp ../../jid.cpp ../../prep.cpp
			../../dataform.cpp ../../dataformfieldcontainer.cpp ../../dataformreported.cpp
			../../dataformitem.cpp ../../dataformfield.cpp
			../../softwareversion.cpp ../../stanzaextensionfactory.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/featureneg/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../dataform.cpp ../../dataformfieldcontainer.cpp ../../dataformreported.cpp
                        ../../dataformitem.cpp ../../dataformfield.cpp ../../gloox.cpp ../../util.cpp
                        ../../featureneg.cpp ../../stanzaextensionfactory.cpp ../../iq.cpp ../../message.cpp
                        ../../stanza.cpp ../../jid.cpp ../../prep.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/inbandbytestream/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../prep.cpp ../../stanzaextensionfactory.cpp
			../../gloox.cpp ../../message.cpp ../../util.cpp ../../error.cpp ../../jid.cpp
			../../iq.cpp ../../base64.cpp ../../logsink.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/jid/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../jid.cpp ../../prep.cpp ../../gloox.cpp ../../util.cpp )

add_executable( ${dirname}_perf ${perf_SRCS} ../../jid.cpp ../../prep.cpp ../../gloox.cpp ../../util.cpp )
target_link_libraries( ${dirname}_perf ${LIBS} )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/jingleiceudp/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../stanza.cpp ../../jid.cpp ../../tag.cpp ../../prep.cpp
 		../../gloox.cpp ../../stanzaextensionfactory.cpp  ../../jingleiceudp.cpp
		../../iq.cpp ../../util.cpp ../../sha.cpp ../../base64.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/message/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../message.cpp ../../stanza.cpp ../../jid.cpp ../../prep.cpp ../../gloox.cpp
                     ../../util.cpp ../../sha.cpp ../../base64.cpp ../../delayeddelivery.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/messageeventfilter/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp
 				../../jid.cpp ../../prep.cpp ../../gloox.cpp
				../../message.cpp ../../util.cpp
				../../sha.cpp ../../base64.cpp ../../messageevent.cpp )

include( ../CMakeLists_common_after.txt )

=== debian/changelog ===
qutim (0.2.60-maemo-9) fremantle; urgency=low

  * Fix vkontakte photoalbum
  * Fix notifications
  * Fix icons

 -- Eugene Degtyarev <degtep@gmail.com>  Thu, 23 Dec 2010 10:23:48 +0300

## qutim 0.2.60-maemo-10

=== debian/changelog ===
qutim (0.2.60-maemo-10) fremantle; urgency=low

  * Add Portrait support with ru\en keyboard
  * Fix Notification bug

 -- Eugene Degtyarev <degtep@gmail.com>  Fri,  7 Jan 2011 11:53:53 -0500

## qutim 0.2.60-maemo-11

=== core/libqutim/CMakeLists.txt ===
# libqutim project for cmake
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( libqutim )
SET( QUTIM_VERSION 0.2.60.0 )

# Search for source and headers in source directory (non-recursive)
FILE( GLOB SRC "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp" )
FILE( GLOB HDR "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )
FILE( GLOB SRC_GAME "${CMAKE_CURRENT_SOURCE_DIR}/game/*.cpp" )
FILE( GLOB HDR_GAME "${CMAKE_CURRENT_SOURCE_DIR}/game/*.h" )

LIST( APPEND SRC ${SRC_GAME} )
LIST( APPEND HDR ${HDR_GAME} )

# Add JDns sources
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_mdnsd.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_packet.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_sys.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_util.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_sock.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.cpp" )
QT4_WRAP_CPP( HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.h"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_p.h" )

# Add K8JSON code
ADD_DEFINITIONS( -DK8JSON_INCLUDE_GENERATOR -DK8JSON_INCLUDE_COMPLEX_GENERATOR )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/k8json.cpp" )
# LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/k8json.h" )

# Add qtdwm code
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm.h" )

# Add SlidingStackedWidget
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.h" )

# Add flowlayout code
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.h" )

# Add itemdelegate
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/itemdelegate/itemdelegate.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/itemdelegate/itemdelegate.h" )

# Add avatarfilter
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatarfilter.cpp" )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatariconengine.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatarfilter.h" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatariconengine_p.h" )

# MinGW special options
# Not sure if those applicable for linux
if(MINGW)
    ADD_DEFINITIONS( -DUNICODE -DQT_LARGEFILE_SUPPORT -DLIBQUTIM_LIBRARY -DQT_THREAD_SUPPORT )
    LIST( APPEND COMPILE_FLAGS "-mthreads" )
endif(MINGW)

# Require QT 4.6
SET( QT_MIN_VERSION "4.6.0" )

# Set QT modules
SET( QT_USE_QTNETWORK TRUE )
SET( QT_USE_QTGUI FALSE )

# Search for QT4
FIND_PACKAGE( Qt4 REQUIRED )

option(WITH_DOXYGEN "" OFF)

if(WITH_DOXYGEN)
    message("-- Checking for Doxygen...")
    find_package(Doxygen)
endif()

# Include QT4
INCLUDE( ${QT_USE_FILE} )

# Add include directories
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/../"
	"${CMAKE_CURRENT_SOURCE_DIR}/../sdk02/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qticonloader/"
)

# Generate moc files
QT4_WRAP_CPP( MOC_SRC ${HDR} )

# Add JDNS using separate cmake project
#ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/jdns/" )
# Add Aero theme integration for Windows Vista and later
# ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/qtdwm/")

# This project will generate library
ADD_LIBRARY( libqutim SHARED ${SRC} ${MOC_SRC} ${HDR} )

#if( CMAKE_COMPILER_IS_GNUCXX )
#	set_target_properties( libqutim PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}" )
#endif( CMAKE_COMPILER_IS_GNUCXX )

file( MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/qutim" )
file( GLOB_RECURSE QUTIM_INCLUDE_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )
foreach( header ${QUTIM_INCLUDE_HEADERS} )
    if( NOT ${header} MATCHES ".*_p\\.h" )
		if( NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}" )
			file( WRITE "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}"
		"#include \"${CMAKE_CURRENT_SOURCE_DIR}/${header}\"
	"
			)
		endif( NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}" )
	LIST(APPEND QUTIM_INSTALL_HEADERS ${header})
    endif( NOT ${header} MATCHES ".*_p\\.h" )
endforeach( header )
set( QUTIM_LIBRARIES libqutim CACHE INTERNAL "" )
set( QUTIM_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/include" CACHE INTERNAL "" )

# Set tagret properties
SET_TARGET_PROPERTIES ( libqutim PROPERTIES PREFIX "")

IF(APPLE)
	FIND_LIBRARY(CARBON_LIBRARY Carbon)
	FIND_LIBRARY(CORE_SERVICES_LIBRARY CoreServices )
	MARK_AS_ADVANCED (CARBON_LIBRARY
					 CORE_SERVICES_LIBRARY)
	LIST(APPEND EXTRA_LIBS ${CARBON_LIBRARY} ${APP_SERVICES_LIBRARY})
ENDIF (APPLE)

IF(WIN32)
	LIST(APPEND EXTRA_LIBS ws2_32)
ENDIF()


# Link with QT
TARGET_LINK_LIBRARIES( libqutim ${QT_LIBRARIES} ${EXTRA_LIBS})

install( TARGETS libqutim 
	RUNTIME DESTINATION bin
		COMPONENT Core
		LIBRARY DESTINATION lib${LIB_SUFFIX}
		COMPONENT Core
		ARCHIVE DESTINATION lib${LIB_SUFFIX}
		COMPONENT CoreDevel
	BUNDLE DESTINATION library
)

INSTALL(FILES ${QUTIM_INSTALL_HEADERS}
	DESTINATION include/qutim
		COMPONENT CoreDevel
)

if(DOXYGEN_FOUND)
    add_subdirectory(doc)
    set(DOC_TARGET "doc")
    configure_file(doc/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    configure_file(doc/DoxygenLayout.xml.in ${CMAKE_CURRENT_BINARY_DIR}/DoxygenLayout.xml @ONLY)
    add_custom_target(${DOC_TARGET} ALL
        ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        COMMENT "Building documentation"
        SOURCE doc/Doxyfile.in doc/DoxygenLayout.xml)
    install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html ${CMAKE_CURRENT_BINARY_DIR}/doc/qch DESTINATION share/qutim/doc COMPONENT CoreDevel)
    add_dependencies(libqutim ${DOC_TARGET})
endif()

=== protocols/jabber/3rdparty/gloox/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )

project( gloox )

#SET( CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Jabber/XMPP library" )
#SET( CPACK_PACKAGE_VENDOR "Jakob Schröter" )
#SET( CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README" )
#SET( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE" )
#SET( CPACK_PACKAGE_VERSION_MAJOR "1" )
#SET( CPACK_PACKAGE_VERSION_MINOR "1" )
#SET( CPACK_PACKAGE_VERSION_PATCH "svn" )
#SET( CPACK_SOURCE_GENERATOR "TBZ2" )
#set( CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}-${CPACK_PACKAGE_VERSION_PATCH}" )
#set( CPACK_SOURCE_IGNORE_FILES "/build/;/.svn/;~$;${CPACK_SOURCE_IGNORE_FILES}" )
#SET( CPACK_PACKAGE_INSTALL_DIRECTORY "${CMAKE_PROJECT_NAME}-${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}-${CMake_VERSION_PATCH}" )
#include( CPack )


option( GLOOX_ENABLE_MAINTAINER "Enable Maintainer Mode" OFF )
option( GLOOX_ENABLE_GETADDRINFO "Enable getaddrinfo()" OFF )
if( WIN32 )
	option( GLOOX_WITH_SCHANNEL "Enable SChannel" OFF )
endif( WIN32 )

if( GLOOX_ENABLE_MAINTAINER )
	set( CMAKE_CXX_FLAGS "-Wshadow -Werror" CACHE STRING "Maintainer Flags" FORCE )
endif( GLOOX_ENABLE_MAINTAINER )

set( CMAKE_CXX_FLAGS_DEBUG "-g3 -fno-inline -DDEBUG" CACHE STRING "Debug Flags" FORCE )

find_package( ZLIB )
find_package( IDN )
find_package( Threads )

include( CheckFunctionExists )

## Check functions
check_function_exists( setsockopt SETSOCKOPT_EXISTS )
if(NOT WIN32)
	include ( CheckFunctionExists )
	include ( CheckIncludeFile )
	include ( CheckIncludeFiles )
	include ( CheckLibraryExists )

	check_include_file( dlfcn.h HAVE_DLFCN_H )
	check_include_file( inttypes.h HAVE_INTTYPES_H )
	check_include_file( memory.h HAVE_MEMORY_H )
	check_include_file( stdint.h HAVE_STDINT_H )
	check_include_file( stdlib.h HAVE_STDLIB_H )
	check_include_file( strings.h HAVE_STRINGS_H )
	check_include_file( string.h HAVE_STRING_H )
	check_include_file( sys/stat.h HAVE_SYS_STAT_H )
	check_include_file( sys/types.h HAVE_SYS_TYPES_H )
	check_include_file( unistd.h HAVE_UNISTD_H )
	check_include_file( errno.h HAVE_ERRNO_H )
	check_include_file( arpa/nameser.h HAVE_ARPA_NAMESER_H )
	check_include_files( "stdlib.h;stdarg.h;string.h;float.h" HAVE_STDC_HEADERS )

	set ( CMAKE_REQUIRED_LIBRARIES "resolv" )
	check_function_exists( res_querydomain HAVE_RES_QUERYDOMAIN )
	check_function_exists( res_query HAVE_RES_QUERY )
	check_function_exists( dn_skipname _HAVE_DN_SKIPNAME )
	check_function_exists( __dn_skipname _HAVE___DN_SKIPNAME )
	if ( _HAVE_DN_SKIPNAME OR _HAVE___DN_SKIPNAME )
		set ( HAVE_DN_SKIPNAME 1 )
	endif ( _HAVE_DN_SKIPNAME OR _HAVE___DN_SKIPNAME )

	check_library_exists( resolv res_init "" _HAVE_LIBRESOLV )
	check_library_exists( resolv __res_init "" _HAVE___LIBRESOLV )
	check_library_exists( bind gethostbyname "" HAVE_LIBBIND )
	check_library_exists( socket connect "" HAVE_LIBSOCKET )
	if ( _HAVE_LIBRESOLV OR _HAVE___LIBRESOLV )
		list( APPEND GLOOX_LIBS "resolv" )
		set ( HAVE_LIBRESOLV 1 )
	endif ( _HAVE_LIBRESOLV OR _HAVE___LIBRESOLV )
endif(NOT WIN32)

if( GLOOX_ENABLE_GETADDRINFO )
	check_function_exists( getaddrinfo HAVE_GETADDRINFO )
endif( GLOOX_ENABLE_GETADDRINFO )

if( SETSOCKOPT_EXISTS )
	set( HAVE_SETSOCKOPT true )
endif( SETSOCKOPT_EXISTS )


## Zlib
if( ZLIB_FOUND )
	list( APPEND GLOOX_LIBS ${ZLIB_LIBRARIES} )
	include_directories( ${ZLIB_INCLUDE_DIR} )
	set( HAVE_ZLIB true )
endif( ZLIB_FOUND )

## SSL/TLS
find_package(OpenSSL)
if(OPENSSL_FOUND)
	list(APPEND GLOOX_LIBS ${OPENSSL_LIBRARIES})
	include_directories( ${OPENSSL_INCLUDE_DIR})
	set(HAVE_OPENSSL true )
	message(STATUS "Use OpenSSL")
else(OPENSSL_FOUND)
	find_package(GNUTLS)
	if(GNUTLS_FOUND)
		list(APPEND GLOOX_LIBS ${GNUTLS_LIBRARIES})
		include_directories(${GNUTLS_INCLUDE_DIRS})
		set(HAVE_GNUTLS true)
		message(STATUS "Use GNUTLS")
	endif(GNUTLS_FOUND)
endif(OPENSSL_FOUND)

## IDN
if( IDN_FOUND )
	add_definitions(${IDN_DEFINITIONS})
	list(APPEND GLOOX_LIBS ${IDN_LIBRARIES})
	link_directories(${IDN_LIBRARY_DIRS})  # hack for freebsd
	INCLUDE_DIRECTORIES( ${IDN_INCLUDE_DIR})
	set(HAVE_LIBIDN true)
endif( IDN_FOUND )

## Windows/Pthreads
if( WIN32 )
	list( APPEND GLOOX_LIBS wsock32 gdi32 dnsapi )
	#		if( GLOOX_WITH_SCHANNEL )
	list(APPEND GLOOX_LIBS crypt32 secur32 )
	#		endif( GLOOX_WITH_SCHANNEL )
	set( HAVE_WINTLS true )
	set( HAVE_WINDNS_H true )
else( WIN32 )
	if( CMAKE_USE_PTHREADS_INIT )
		set( HAVE_PTHREAD true )
	else( CMAKE_USE_PTHREADS_INIT )
		message( FATAL_ERROR "we do need pthread support!" )
	endif( CMAKE_USE_PTHREADS_INIT )
endif( WIN32 )

if( UNIX )
	configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.unix.cmake ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.unix )
elseif( WIN32 )
	configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.win.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config.h.win )
elseif( ${CMAKE_SYSTEM_NAME} MATCHES "symbian" )
	configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.symbian.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config.h.symbian )
endif( UNIX )

option ( USE_TESTS ON )
if ( USE_TESTS )
	enable_testing()
	add_test( adhoc_test adhoc_test )
	add_test( adhoccommand_test adhoccommand_test )
	add_test( adhoccommandnote_test adhoccommandnote_test )
	add_test( amprule_test amprule_test )
	add_test( amp_test amp_test )
	add_test( asyncdns_test asyncdns_test )
	add_test( base64_test base64_test )
	add_test( capabilities_test capabilities_test )
	add_test( chatstatefilter_test chatstatefilter_test )
	add_test( client_test client_test )
	add_test( clientbase_test clientbase_test )
	add_test( connectionbosh_test connectionbosh_test )
	add_test( dataform_test dataform_test )
	add_test( dataformfield_test dataformfield_test )
	add_test( dataformreported_test dataformreported_test )
	add_test( dataformitem_test dataformitem_test )
	add_test( delayeddelivery_test delayeddelivery_test )
	add_test( discoinfo_test discoinfo_test )
	add_test( discoitems_test discoitems_test )
	add_test( disco_test disco_test )
	add_test( error_test error_test )
	add_test( featureneg_test featureneg_test )
	add_test( flexoffline_test flexoffline_test )
	add_test( flexofflineoffline_test flexofflineoffline_test )
	add_test( gpgencrypted_test gpgencrypted_test )
	add_test( gpgsigned_test gpgsigned_test )
	add_test( inbandbytestreamibb_test inbandbytestreamibb_test )
	add_test( inbandbytestream_test inbandbytestream_test )
	add_test( iq_test iq_test )
	add_test( jid_test jid_test )
	add_test( jinglesessionjingle_test jinglesessionjingle_test )
	add_test( jinglertp_test jinglertp_test )
	add_test( jingleiceudp_test jingleiceudp_test )
	add_test( jinglerawudp_test jinglerawudp_test )
	add_test( jinglesession_test jinglesession_test )
	add_test( lastactivity_test lastactivity_test )
	add_test( lastactivityquery_test lastactivityquery_test )
	add_test( md5_test md5_test )
	add_test( message_test message_test )
	add_test( messageeventfilter_test messageeventfilter_test )
	add_test( mucroommuc_test mucroommuc_test )
	add_test( mucroommucadmin_test mucroommucadmin_test )
	add_test( mucroommucowner_test mucroommucowner_test )
	add_test( mucroommucuser_test mucroommucuser_test )
	add_test( nickname_test nickname_test )
	add_test( nonsaslauthquery_test nonsaslauthquery_test )
	add_test( nonsaslauth_test nonsaslauth_test )
	add_test( oob_test oob_test )
	add_test( parser_test parser_test )
	add_test( prep_test prep_test )
	add_test( presence_test presence_test )
	add_test( privacymanager_test privacymanager_test )
	add_test( privacymanagerquery_test privacymanagerquery_test )
	add_test( privatexml_test privatexml_test )
	add_test( pubsubmanagerpubsub_test pubsubmanagerpubsub_test )
	add_test( pubsubmanager_test pubsubmanager_test )
	add_test( pubsubevent_test pubsubevent_test )
	add_test( receipt_test receipt_test )
	add_test( registrationquery_test registrationquery_test )
	add_test( registration_test registration_test )
	add_test( rostermanagerquery_test rostermanagerquery_test )
	add_test( rostermanager_test rostermanager_test )
	add_test( searchquery_test searchquery_test )
	add_test( search_test search_test )
	add_test( sha_test sha_test )
	add_test( shim_test shim_test )
	add_test( simanager_test simanager_test )
	add_test( simanagersi_test simanagersi_test )
	add_test( stanzaextensionfactory_test stanzaextensionfactory_test )
	add_test( subscription_test subscription_test )
	add_test( tag_test tag_test )
	add_test( tlsgnutls_test tlsgnutls_test )
	add_test( tlsopenssl_test tlsopenssl_test )
	add_test( uniquemucroomunique_test uniquemucroomunique_test )
	add_test( vcard_test vcard_test )
	add_test( vcardupdate_test vcardupdate_test )
	add_test( xpath_test xpath_test )
	add_test( zlib_test zlib_test )
	add_test( util_test util_test )

	add_subdirectory( src/tests )
endif ( USE_TESTS )

add_subdirectory( "src" )

=== protocols/jabber/3rdparty/gloox/src/CMakeLists.txt ===
file( GLOB gloox_SRCS *.cpp )

set(GLOOX_BUILD_TYPE "SHARED" CACHE DESCRIPTION "Gloox build type: static or dynamic")

add_library( gloox ${GLOOX_BUILD_TYPE} ${gloox_SRCS} )
if (GLOOX_BUILD_TYPE STREQUAL "STATIC" AND NOT WIN32)
	set_target_properties( gloox PROPERTIES COMPILE_FLAGS "-fPIC" )
endif()
target_link_libraries( gloox ${GLOOX_LIBS} )
set_target_properties( gloox PROPERTIES SOVERSION 9 )
include_directories( ${gloox_SOURCE_DIR} )
add_definitions( -DGLOOX_EXPORTS -DDLL_EXPORT )

if(GLOOX_BUILD_TYPE STREQUAL "SHARED")
	install( TARGETS gloox
		RUNTIME DESTINATION bin
			COMPONENT Gloox
				LIBRARY DESTINATION lib${LIB_SUFFIX}
			COMPONENT Gloox
				ARCHIVE DESTINATION lib${LIB_SUFFIX}
			COMPONENT GlooxDevel
	)
endif()

=== protocols/jabber/3rdparty/gloox/src/tests/adhoc/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp 
                        ../../gloox.cpp ../../iq.cpp ../../util.cpp
			../../error.cpp ../../jid.cpp ../../prep.cpp
			../../dataform.cpp ../../dataformfieldcontainer.cpp ../../dataformreported.cpp
			../../dataformitem.cpp ../../dataformfield.cpp
			../../softwareversion.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/client/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../client.cpp ../../clientbase.cpp ../../connectiontcpbase.cpp ../../connectiontcpclient.cpp
			../../disco.cpp ../../parser.cpp ../../tag.cpp ../../stanza.cpp ../../base64.cpp ../../jid.cpp
			../../md5.cpp ../../tlsgnutlsclient.cpp
			../../tlsopensslclient.cpp ../../tlsschannelbase.cpp
			../../tlsgnutlsserver.cpp ../../tlsschannelclient.cpp ../../tlsschannelserver.cpp
			../../tlsopensslbase.cpp ../../tlsopensslserver.cpp
			../../logsink.cpp ../../messagesession.cpp ../../prep.cpp ../../compressionzlib.cpp
			../../dns.cpp ../../stanzaextensionfactory.cpp
			../../rostermanager.cpp ../../nonsaslauth.cpp ../../sha.cpp ../../dataform.cpp
			../../dataformfieldcontainer.cpp ../../dataformreported.cpp ../../dataformitem.cpp
			../../dataformfield.cpp
			../../rosteritem.cpp ../../privatexml.cpp ../../gloox.cpp ../../tlsgnutlsbase.cpp
			../../tlsdefault.cpp ../../tlsgnutlsclientanon.cpp ../../tlsgnutlsserveranon.cpp
			../../mutex.cpp ../../iq.cpp ../../presence.cpp ../../message.cpp ../../subscription.cpp
			../../util.cpp ../../error.cpp ../../capabilities.cpp ../../eventdispatcher.cpp
			../../softwareversion.cpp ../../connectiontls.cpp
			../../connectioncompression.cpp ../../compressiondefault.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/connectionbosh/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../connectionbosh.cpp ../../parser.cpp ../../tag.cpp ../../logsink.cpp
                            ../../gloox.cpp ../../prep.cpp ../../util.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/dataform/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../dataform.cpp ../../dataformfieldcontainer.cpp ../../dataformreported.cpp ../../dataformitem.cpp ../../dataformfield.cpp ../../gloox.cpp ../../util.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/dataformfield/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../dataformfield.cpp ../../util.cpp ../../gloox.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/delayeddelivery/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../delayeddelivery.cpp ../../tag.cpp
		../../jid.cpp ../../prep.cpp ../../gloox.cpp ../../util.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/flexoffline/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../jid.cpp ../../tag.cpp
                        ../../logsink.cpp ../../prep.cpp ../../util.cpp
                        ../../gloox.cpp ../../iq.cpp ../../stanza.cpp
                        ../../error.cpp ../../dataformfieldcontainer.cpp
                        ../../dataform.cpp ../../dataformfield.cpp
                        ../../dataformitem.cpp ../../dataformreported.cpp
			../../softwareversion.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/gpgsigned/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../gpgsigned.cpp ../../tag.cpp ../../gloox.cpp ../../util.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/jinglerawudp/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../stanza.cpp ../../jid.cpp ../../tag.cpp ../../prep.cpp
 		../../gloox.cpp ../../stanzaextensionfactory.cpp ../../jinglerawudp.cpp
		../../iq.cpp ../../util.cpp ../../sha.cpp ../../base64.cpp )

include( ../CMakeLists_common_after.txt )

=== debian/changelog ===
qutim (0.2.60-maemo-11) fremantle; urgency=low

  * GUI fixes

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 10 Jan 2011 22:42:31 +0300

=== debian/control ===
Source: qutim
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev
Standards-Version: 3.7.2

Package: qutim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: qutIM - is powerful instant messenger
 qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
XSBC-Maemo-Display-Name: qutIM
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
 dFNvZnR3YXJlAFBhaW50Lk5FVCA/Pz8/Pz8gMy41LjJ5rpbCAAANpklEQVRo
 Q81ZCVSUV5bunqV75sx2es70TDyTaHAhsheCEkTZohnHTjrdneh0ojFJaxKX
 uICIsgkIggRQFBTHSNAQ6diuqEFFlGKHAgEB2UG2EtmhFjbFb773s8Rj26mC
 EM/UOd/5i+K9d7+7vHvve/9PfvKcP729vT8jHFSq3mNqleobfv/Nc6bww8SR
 sJWqtzdKo1bVEPf5dyzxbz9s1ecwmyQt1arerwb61N1ajQo1ja0oq2uBWt0L
 /u/Yc6AwcREk9reELXFqsE8zSPK4S9IRCaVw8k/Fr0OzUdnYhn6tulV4ZuIS
 fqQZJPM3xHLG+Vlae3iQxAurlAg5V4xlQZmYt1sBh7BqLAiuRExKI/o0kheC
 fyQ6+i9LEj8lljEsbtDaWg3Do7jmPnxO3cbrezMg81FgUWgVXjusxNKj7XA+
 3Ip3omvQ0t4Nhlc1587QX9oUjqTgfxDEafFbDwc0EMTzypvhG18Ae79UzPfP
 x8LPK+EcpcSS6DYsOdoxguh2LN5/D/GZTRiil7jGpimkpXspCvw58R6J32Ac
 Q2zO1KJ6eH19m8TTYOWbD3uGivOhZrx2pFUivISWH4FQpA12EUqsPVGDji7J
 C+Vc7+91S/6BI0aJryLhHIbKoKq3B+nFDdhyPBeL/dJh4a2AHUNFEHc+/IDk
 2/AaLS89n4Jj1AM4hNfiSr4SjwYkL7z7A+n95elc/JfEhyxAd4YHteii1W4V
 1OOzYzmw8ZbD2k+EShWchMUFcca4sLwuLAhtwI7Tteju7mH4qeRTrgBJ/yvh
 wlApYjpEFwVdyq4m8Vws8Bohvpih4niwkXHeQjyQLC82qfORdjhFd8LhSAcc
 DnfA8UgnnKM7+Hvb6JgHcIxUwjGsEtkVDzCgVQ1S1ltTosQo8R19WnX1gFYQ
 78bFrCp8dChTIm7hk4dFYVVwPNQEp8j7cIq6L5G2j2qDbdg9LNpXjEXuF7Dc
 LRard5/ER/5x+N2uE3BwiYOdfxYWhtXB7qASTlTGJrQO/hdqpATASh0vMtqk
 leDk/yTctGpVw2OGSktbJy5mVuG9cG5MjxTM882TsoqwuOMhWk9YkJCIhDdh
 sU8y1gfH4/T5S2hoaMBAfx8G+7UYIgb5vYeGSM/IhO/BOLzhdwVWAcWwj2So
 hZehvKFNhJGG8i0mrAAnGfSqev0Y43UP+zW439qJuJtlWB3BjbnzFkPlNvN4
 JRwO1JN88wh5xruAEy0/P+AOVnrH4ebNZAw/HIA+n3vV5fCNjMerHklYEFqP
 zy/X4mG/tJnD9FaAg/+J+FSrVitFOmxp7cCX10rwzudyyEhcJkKFm9OexB0i
 muBA8g4HxXMEjgwf66ByrPGJQUP1XYn348eP8ejRI52QBj8aROSxkzB3u4G3
 DlehVtnB9kLVIyJBLyU4MIhW7xIWj71eiuUByZLFLXczVEIqYL+/DvYRjX8R
 tuENeN3rIoqLCiQ+Q0NDE4JQdnhAiy3BJ2DqU8j24t5YSvXVS4E+jTpfFKFD
 CUWYvfmqlFXsQsqxOLyOlbKeChAHGvh8Bg40YkHQXXiGxUjkBwcHJwW6DApF
 Liy2JeD9LyrQTGP2aVRlNO4vdCqhVqsS6DKcy6iBuVc2i1A1FoUzi5D4Ipb6
 74Mdx9gGFODrP/6JHIbR198/KfQPDKC3pxuL1kdBFlCGy4omDPSpxF74VKcC
 HPQ2ta0UWq+OLsa8wAqmRxJnmtMFOyo6f3cOYr/6ekSBvr5JYYCKd3W0Y+G6
 CFgFVeHj4yXo6ekBa08K+f3L9yohBhCBopR/kVwDmV8hFobWME/X6gbbAAuP
 dGzyjcTw0AA0Gg0PKeoJY2hoENeuJ8FyEzPSviq8GlgEeXGzCCPhhWX6eOEF
 ZqCumqY2vBl2G1aBZcz11XpBNG2Wa0JxLTFR5B+JvEql0hti33S1t2LlJj+Y
 ul6H7b5KWO4pxdaTJaIyCwUS9CpsHBQqcnDQ+TLIfAthG1KlF2z2lsBw/Rks
 fncn0lJT8Hj4ITSs3CIEvg+9VFKk2lZlI7Z67YPBynBY+eRKMq33lsMx6DZy
 ypWiLjwkt/n6eMGSVbDv7r1WLA5QYMHeMrqzUgeqmIVoMa9MGKyKhuyNDYg4
 fAwN9bVMpYOSN7pZeUUbIp5SXPO3AWnTdiHx2yt4e507XnzDG+auibAJvDMu
 z8S7EEEXytHPMOJe+FqnAmIA+5A4LfsRzz+WwNy7ADbBFUT5MzGfxG388rDU
 +wqc3c/CbEM8pv02FC84rIf9is/g7rMXFxMuQdnUJPobaZPW1tZCniLHgYNR
 eHutG+a8vh7T3vSH6ZYLsPZVwCaobFzWPIbR0uA8VNS3MpTUSnrBVKcSHPQr
 nmH7Mu82051ZsA4spYXL/gzWQRVY4JOO46evQt3dDk1PJy4lJuO/Nh3ASyvC
 MW25N37huBl2v1uPpoY6dLa3YIPLLrxk81u87LQWL77ugmm/8sbM94/C3OVb
 WPGcvGCvkHV3XJYNvxt7KhB9vUryArkF6FRADGAYpQmXb44pxFyPvJGFn4I5
 94hrZCKG+7px6koavjybhO7ODlRXV2PJxgjM/sMJvMyY/vzgUXqgHhtcffAf
 Thth8Pv9mPN+NF75+Cta/RIsPdJg7X8b8wNLninH0r8Iy0NycZ8NJbuFWirx
 sk4lOOiD4UENLmTXSrFt6X8H1gEl47AKKJXcnZSSgYKiEpitPYYXP4jDxn3x
 6FMxrm9lwfDDGDh/5I/9+/dj2ZodeGGZO0mfgvn265CRtCU3q7VfAaz3FI+u
 O/b8Ts6IzGKYeeYgLqUa4naD3D7RR4Gf0QvlHV1dWHkgByaeeRREJUYxb08J
 HLyuofV+E768IMfLH56AyQ45jFxvIf5KBrrblHjH8yRmrT4Mw3fDMX3lAczd
 cBqWnhmw8i9k+ywMIggTQoFxfCfjSXnGnvn4/UGFlAjEaZBK/FwfJdYPsaWO
 vVEB050ZmOdXhHl0p4DMvxiveZxHN+N6X+w1zPhDPMzckmHuW4R3fM/gobYH
 wTFX8NKqL2C4Lk4KFZkn74NYIK3oTavRdcbW0/W0YLjKPDIYEXUQR1kq8D/E
 X+uqzjOobbXoUJcGpMGMB/V5dLkgIfO7A+dd59HT0YrQk1TgQ8bz9hvShrN2
 T4SyuRFxCamY/t4RGG+5DAuvLGne2PyR7xPD7B1Z2HQ8H91Mw2KPUgFLfbwQ
 Ipq8qMulmOOaCkvf2xJkvgWw5QGkvq4W56+nYxbj3WjzJbzlcwaObt+guKSE
 oZSG6auOwtg1ibcUuZxXSBSMrzG2lr5Pc55JLD3kSCtuZJNH06p69+ujgAUH
 t4j7TPvdcph45EK2Ox8WhNmuTJw4l4TerjYs3RYDs4+PozBfgdzCUtyrrUJY
 7EgImYwqINtNxTlvUvChTGL6Fjkir5RJ/RHb/zSdCogBvGyKE/2IX3whDLal
 0Jp5EubuzMWKgEvQdLfhakoObNeGY3twjHAvHvWr8NHuLzBtVSxMXK6yRc8Z
 nzc2X9+nMY32yq5c1olcuMWVomL0zEwPROmlAGNtEc/HDzNKGjHf4yaMdmWz
 QitgKpRwvYmQWDZwj7R4cF8JuTxVUkB84i8kwXh1BAw3JsBsZxrn5E4AChiR
 +Ew33lz4k/ipu8iregBeMgjLi2uXEOJFfRX4K2p7TVTCT49kcS/IYc68LGDi
 lQez7UlwOXQZ36bkIiXrNo6fTcbFpAwMazvohRjMWHcaJm4p43PG5j7rKfK9
 KTFrR6ZE3PdMOXIrWqT83zdyX3SO+G+9iD85SEwSd/tJ+XUwdkmC6a4sFpds
 CaZeCsziBjfanACLrRdh8Mk5yLaexweBZ2HnfoleSmYaZhYbHf+sp6lHNgzd
 M2FI4q/65SD4QgXu1Ir+R8WrGKkTPUMsJv5uwuTFBE78Z3HzLDrJFaFyGNIL
 ph5ZkiISSEDEqtEuesUjB0Y7szGbShmzfphys4/gifFPfJ/jloGZLmlw2puD
 wPPlfOHRLm3SQa26m7lGELeZFOmnJ3GhTewIcTatCjM/uwqTcWKC5JMYIfzd
 /8cUGBvD/1Exox0ZTAqpWBqUg/2XK6XNKc4i3ENayjpG2E4J8bFFuOAveWKr
 aGrpwJt7b8Fgy00Yu2dMCHNJepZrmlRTnPZkSV1mdVO7dIXCtcVt3P8SZjqr
 7GQ148J7RCmPvFyEGRsTacU0KpCuE0YcY7BNjlkuKVi+LxuHr1ZK1ybiEo03
 Dy3ilSvXNpwsL73nidRFoT2VDbzT976OmVuFF4QSz4ZQcM52OWayfvwmLAfH
 b1Sh+UEnQ4UHf5WqmdeYQVzzFb0JTMVACox8xNdIPnG5MNh4FUZuzEBPwZAh
 YrA1BYa0+Bsh2fgmvY7Eu9iIacQGbeYaHsT0qeAz4TUoWMZiMlBcrYTptsvM
 SLcw100u4RVa+6XPkqXfVrAN/ya9Fp1dPVI6ZB4XhxEvsZcmLHSqJzBm48Q9
 /rZjmZixIZG5PkXa1HO23cSaSAXOZPAIyd5dZBW2IqUk7Ub8+1TzmPR6JPNr
 vqkZSL9TjzmbEjB7axLWRClwNb9Belkn3ikwHVbwevmT/1fEn0ipP+UmTBO9
 +Z9SK5CouCcOGaLkDzG8Cvl9HfGPk7bQ85hIggt5VVIqihtfQYl7m1v87QPi
 x39NOlUKkuw0YolQhvj+C9ipEvrUOv8HhO7WofzYHNEAAAAASUVORK5CYII=
 ====

## qutim 0.2.60-maemo-12

=== core/libqutim/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_util.c"
 		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_sock.cpp"
 		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.cpp" )
-QT4_WRAP_CPP( HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.h"
+LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.h"
 		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_p.h" )
 
 # Add K8JSON code
@@ -78,17 +78,19 @@
 INCLUDE( ${QT_USE_FILE} )
 
 # Add include directories
-INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/../"
-	"${CMAKE_CURRENT_SOURCE_DIR}/../sdk02/"
-	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/"
-	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/"
-	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/"
-	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qticonloader/"
+INCLUDE_DIRECTORIES(
+	.
+	..
+	../sdk02/
+	../3rdparty/k8json/
+	../3rdparty/jdns/
+	../3rdparty/qtdwm/
+	../3rdparty/qticonloader/
+	${CMAKE_CURRENT_BINARY_DIR}
 )
 
 # Generate moc files
-QT4_WRAP_CPP( MOC_SRC ${HDR} )
-
+QUTIM_WRAP_CPP( MOC_SRC ${HDR})
 # Add JDNS using separate cmake project
 #ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/jdns/" )
 # Add Aero theme integration for Windows Vista and later

=== debian/changelog ===
qutim (0.2.60-maemo-12) fremantle; urgency=low

  * Megre with upstream
  * Initial Mail.Ru Agent support
  * Jabber lib changed to jreen
  * Some Fixes

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 12 Jan 2011 22:18:49 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/network
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev
+Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev,libqca-cyrus-sasl,libqca2-dev,libsasl2-dev
 Standards-Version: 3.7.2
 
 Package: qutim
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},libqca-cyrus-sasl,libsasl2-2
 Description: qutIM - is powerful instant messenger
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 XSBC-Maemo-Display-Name: qutIM

## qutim 0.2.60-maemo-13

=== core/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6 FATAL_ERROR)
IF (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)
ENDIF (COMMAND cmake_policy)
PROJECT( qutim )
SET(QT_MIN_VERSION "4.6.0")

ADD_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

if( UNIX )
	if( BSD )
		SET( CMAKE_THREAD_LIBS -pthread )
		SET( CMAKE_USE_PTHREADS ON )
		SET( CMAKE_EXE_LINKER_FLAGS -pthread )
	endif( BSD )
endif( UNIX )

SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET (CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
SET (QT_USE_QTNETWORK true)
SET (QT_USE_QTXML true)
SET (QT_USE_QTSCRIPT true)

SET (QUTIM_PLUGINS_DEST "lib/qutim/")
FIND_PACKAGE (Qt4 REQUIRED)

INCLUDE(CPackOptions.cmake.in)
INCLUDE(UseQt4)
INCLUDE(MacroEnsureVersion)
INCLUDE(QutIMMacros)

#simple hack for include dirs
macro(LIST_SUBDIRECTORIES retval curdir)
	file(GLOB sub-dir RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${curdir}/*)
	set(list_of_dirs "")
	foreach(dir ${sub-dir})
		#TODO fix IS DIRECTORY macro
		if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir})
			message(STATUS "Found 3rdparty dir: ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir}")
		endif()
	endforeach()
	set(${retval} ${sub-dir})
endmacro()

LIST_SUBDIRECTORIES(3RDPARTY_INCLUDE_DIRS "3rdparty")

#Include X11, spike for freebsd
FIND_PACKAGE(X11)

INCLUDE_DIRECTORIES (${QT_QTGUI_INCLUDE_DIR}
	${QT_QTCORE_INCLUDE_DIR}
	${QT_QTXML_INCLUDE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${3RDPARTY_INCLUDE_DIRS}
	${X11_INCLUDE_DIR}
	.
		src
		include
	)

if( WIN32 )
	list(APPEND QUTIM_LIBS secur32 )
endif( WIN32 )

file( GLOB HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h" )
file( GLOB SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp" )
file( GLOB SOURCES_MM RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.mm" )
list( APPEND SOURCE SOURCE_MM} )
file( GLOB FORMS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui" )
list( APPEND SOURCES "main.cpp" )

SET (RESOURCES
	qutim.qrc
	)

#TODO fix in future
if (MINGW)
	find_program( MINGW_WINDRES NAMES "mingw32-windres" "windres" )
	execute_process( COMMAND "${MINGW_WINDRES}"
		"-i" "${CMAKE_CURRENT_SOURCE_DIR}/qutim.rc" "-o" "${CMAKE_CURRENT_BINARY_DIR}/qutim_res.o" )
	LIST (APPEND SOURCES qutim_res.o)
else(MINGW)
	LIST (APPEND SOURCES qutim.rc)
endif(MINGW)

add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/libqutim/" "${CMAKE_CURRENT_BINARY_DIR}/libqutim")

find_package( QutIM REQUIRED )
include_directories( ${QUTIM_INCLUDE_DIR} )

REMOVE_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

set( QUTIM_PATH ${CMAKE_CURRENT_SOURCE_DIR} CACHE FILEPATH "Path to qutim sources")
set( QUTIM_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR} CACHE FILEPATH "Path to qutim build directory")
option( QUTIM_COPY_PLUGINS_TO_BINARY_DIR "Copy plugins to qutim build directory" OFF )
set( QUTIM_LIBRARIES libqutim )

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCC ${RESOURCES})

# For Apple set the icns file containing icons
IF(APPLE)
  # set how it shows up in the Info.plist file
  SET(MACOSX_BUNDLE_ICON_FILE qutim.icns)
  # set where in the bundle to put the icns file
  SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
  # include the icns file in the target
  SET(SOURCES ${SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns)
ENDIF(APPLE)

set( QUTIM_ADDITIONAL_SOURCES "" CACHE INTERNAL "" FORCE )
set( QUTIM_ADDITIONAL_LIBRARIES "" CACHE INTERNAL "" FORCE )
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/corelayers/" "${CMAKE_CURRENT_BINARY_DIR}/src/corelayers")
foreach( additional_path ${QUTIM_ADDITIONAL_PATHS} )
    add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/../${additional_path}/" "${CMAKE_CURRENT_BINARY_DIR}/../${additional_path}" )
endforeach( additional_path ${QUTIM_ADDITIONAL_PATHS} )

#QUTIM_ADD_OPTION(QUTIM_MOBILE_UI
#	"User interface for mobile devices like Nokia 5800"
#	"qutIM will be compiled with mobile ui"
#	OFF
#)

QUTIM_ADD_OPTION(QUTIM_SINGLE_PROFILE
	"Single profil by default" 
	"qutIM will be compiled without multiply profiles by default"
	ON
)
SET( QUTIM_GUI_TYPE "" CACHE STRING "qutIM GUI TYPE" )
IF( QUTIM_GUI_TYPE )
	MESSAGE(STATUS "qutIM will be compiled with ${QUTIM_GUI_TYPE} GUI type")
ENDIF()

ADD_EXECUTABLE (qutim
	${QUTIM_GUI_TYPE}
	${SOURCES}
	${HEADERS}
	${MOC_SRCS}
	${UIS_H}
	${RCC}
	${QUTIM_ADDITIONAL_SOURCES}
	)

if(MSVC)
	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} /W3")
	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} /W3")
else()
	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -Wall -Wextra")
	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -Wall -Wextra")
	if(NOT WIN32)
		set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -fvisibility=hidden")
	endif(NOT WIN32)
endif()

set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -DQUTIM_CORE -DXDG_STATIC")
set_target_properties(qutim PROPERTIES COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS}")
set_target_properties(libqutim PROPERTIES COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS}")

TARGET_LINK_LIBRARIES (qutim
	${QT_LIBRARIES}
	${QT_QTMAIN_LIBRARY}
	${QUTIM_LIBS}
	${QUTIM_ADDITIONAL_LIBRARIES}
	libqutim
	)

if( LANGUAGE )
	LANGUAGE_UPDATE( core ${LANGUAGE} "${CMAKE_CURRENT_SOURCE_DIR}" )
endif( LANGUAGE )

FILE(GLOB CMAKE_MODULES "${CMAKE_CURRENT_SOURCE_DIR}/cmake/*.cmake")

FILE (GLOB DEV_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*.h")
FILE (GLOB DEV_HEADERS_EXCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*_p.h")
LIST(REMOVE_ITEM DEV_HEADERS ${DEV_HEADERS_EXCLUDE})

INSTALL(FILES ${CMAKE_MODULES}
	DESTINATION share/cmake/Modules
		COMPONENT CoreDevel
)
INSTALL(TARGETS qutim
	RUNTIME DESTINATION bin
		COMPONENT Core
	BUNDLE DESTINATION .
		COMPONENT Core
)

QUTIM_ADD_ARTWORK_DIR(share/qutim)

IF(NOT WIN32)
	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
		DESTINATION /usr/share
			COMPONENT Core
	)
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#additional artwork sources
SET(QUTIM_ADDITIONAL_ART_PATH "" CACHE PATH "Path to additional artwork")
IF(NOT QUTIM_ADDITIONAL_ART_PATH STREQUAL "")
	QUTIM_ADD_ARTWORK_DIR(${QUTIM_ADDITIONAL_ART_PATH})
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#small simple hack for install Qt dlls and plugins
IF(WIN32)
	SET(QUTIM_REQUIRED_DLL_DIR "" CACHE PATH "Path to Qt dll's and plugins. Note: you must add them yourself")
	FILE(GLOB dlls ${QUTIM_REQUIRED_DLL_DIR}/*)
	FOREACH(QUTIM_DLL ${dlls})
		IF(IS_DIRECTORY ${QUTIM_DLL})
			INSTALL(DIRECTORY ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ELSEIF(${QUTIM_DLL} MATCHES ".\\.dll")
			INSTALL(FILES ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ENDIF()
	ENDFOREACH()
	LIST(APPEND CPACK_COMPONENTS_ALL Qt)
	CPACK_ADD_COMPONENT(Qt
		DISPLAY_NAME "Qt Libraries"
		DESCRIPTION ""
	)
ENDIF(WIN32)

=== debian/changelog ===
qutim (0.2.60-maemo-13) fremantle; urgency=low

  * Bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Thu, 13 Jan 2011 14:52:44 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/network
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev,libqca-cyrus-sasl,libqca2-dev,libsasl2-dev
+Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev
 Standards-Version: 3.7.2
 
 Package: qutim
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},libqca-cyrus-sasl,libsasl2-2
+Depends: ${shlibs:Depends}, ${misc:Depends},libqca-cyrus-sasl(>=2.0.0beta3-5)
 Description: qutIM - is powerful instant messenger
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 XSBC-Maemo-Display-Name: qutIM

## qutim 0.2.60-maemo-14

=== debian/changelog ===
qutim (0.2.60-maemo-14) fremantle; urgency=low

  * Improved chat and history messages performance
  * Add Aspell support

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 15 Jan 2011 10:51:20 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/network
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev
+Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,aspell
 Standards-Version: 3.7.2
 
 Package: qutim
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},libqca-cyrus-sasl(>=2.0.0beta3-5)
+Depends: ${shlibs:Depends}, ${misc:Depends},libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl,aspell,aspell-en
 Description: qutIM - is powerful instant messenger
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 XSBC-Maemo-Display-Name: qutIM
